#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,l,c,b=0,is=1001;
    cin >> n;
    cin >> l;
    vector<int> v = {};
    for (int i = 0; i<n; i++){
        cin >> c;
        v.push_back(c);}

    while (b<n){
        if (v[b]<=l){
            is = b;
            break;
        }
        else{
            b++;
        }
    }
    if (is==1001)
        cout << -1 << endl;
    else
        cout << is+1;
    return 0;
}